puts "Here"
import RTPApplication
import VideoAgent
puts "There"

Class SizeRecordApp -superclass RTPApplication

SizeRecordApp instproc init args {
    $self next subprog_app

    $self init_resources;

    [$self options] register_option -spec spec;

    eval [$self options] parse_args $args;

    $self instvar vagent_;

    set vagent_ [new MyVideoAgent $self [$self get_option spec]];
}

SizeRecordApp instproc init_resources {} {
    $self add_option network ip
    $self add_option mtu 1024
    $self add_option defaultTTL 32
    $self add_option sessionType rtpv2
}

Class MyVideoAgent -superclass VideoAgent

MyVideoAgent instproc create_decoder src {
    set decoder [new Module/VideoDecoder/JPEGSizeRecorder];
    
    $decoder set agent_ $self;
    $decoder set src_ $src;
    
    return $decoder;
}

set app [new SizeRecordApp $argv];
