#
# Put all the tcl files needed for mb here
# 

proc havefont { f } { return 1 }

# common files
source tcl/common/util.tcl
source tcl/common/application.tcl

# srm stuff
source tcl/srm/cf-srm.tcl

proc DbgOut {str} {
    puts "$str"
}


proc assert { expression {msg {}} } {
    if { ![uplevel expr $expression] } {
	if { $msg!={} } {
	    error "assert failed for '$expression': $msg"
	} else {
	    error "assert failed for '$expression'"
	}
    }
}


# fca stuff
source tcl/fca/fca-fcp.tcl
source tcl/fca/fca-fcd.tcl
source tcl/fca/fca-mgr.tcl
source tcl/fca/fca-rreq.tcl
source tcl/fca/fca-rcvr.tcl
source tcl/fca/fca-modrcvr.tcl
source tcl/fca/fca-localrcvr.tcl
source tcl/fca/fca-pkt.tcl
source tcl/fca/application-fca.tcl
source tcl/fca/fca-cb.tcl

# ui stuff
source tcl/ui_tools/ui-util.tcl
source tcl/ui_tools/ui-dropdown.tcl
source tcl/ui_tools/ui-minimize.tcl
source tcl/ui_tools/ui-list.tcl
source tcl/ui_tools/ui-book.tcl
source tcl/ui_tools/ui-fonts.tcl
source tcl/ui_tools/images.tcl
source tcl/fca/icons.tcl
source tcl/fca/fca-ui.tcl
source tcl/fca/fca-uimgr.tcl


#
# First procedure to be called from mash 
#
# o start up the MediaBoard application
#
proc main argv {
    global FCApp
    set FCApp [new FCApp $argv]
}

ui_init_default
main $argv
